package cn.com.countrygarden.bi.main.dao.personnel;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.PersonInfoVO;
import cn.com.countrygarden.bi.main.dto.PersonnelCampusDTO;
import cn.com.countrygarden.bi.main.dto.PersonnelCampusevaluationDTO;
import cn.com.countrygarden.bi.main.dto.PersonnelTgDTO;
import cn.com.countrygarden.bi.main.dto.wcx.WcxRegionProjectDto;
import cn.com.countrygarden.bi.main.model.test.Test;
import cn.com.countrygarden.bi.main.model.dup.DupOrgan;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelCampusevaluation;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelTag;
/**
 * 校园评测-数据层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-09-20
 */
public interface PersonnelCampusevaluationMapper extends Mapper<PersonnelCampusevaluation>{
	
	List<PersonnelCampusevaluationDTO> percamlist(@Param("percam") PersonnelCampusevaluationDTO percam,@Param("rolesMap") Map<String, Object> rolesMap,@Param("userquyu")List<String> result);
	
	PersonnelCampusevaluationDTO percamlione(@Param("userId") String userId,@Param("identity") String identity);
	
	PersonnelCampusevaluationDTO perone(@Param("id") Integer id);
	
	PersonnelCampusevaluationDTO addone(@Param("userId") String userId,@Param("personneltagId") Integer personneltagId);
	
	PersonnelCampusevaluationDTO peroneperoncam(@Param("userId") String userId);
		
    int edit(PersonnelCampusevaluation pcampusevtion);
    
    int editpeca(PersonnelCampusDTO pcampusevtion);
    
    int delupdate(@Param("id") Integer id);
	
    int delupdatepiliang(@Param("id") List<String> id);
    
	List<PersonnelCampusevaluationDTO> exxlspersonnelcampus(@Param("percam") PersonnelCampusevaluationDTO percam,@Param("rolesMap") Map<String, Object> rolesMap,@Param("userquyu")List<String> userquyu);

	List<PersonInfoVO> personInfoCodeOrId(@Param("search") String search);
	
	List<PersonInfoVO> selectByPersonInfoByCodeOrName(@Param("search") String search,@Param("rolesMap") Map<String, Object> rolesMap,@Param("userquyu")List<String> userquyu);
	
	List<PersonnelTgDTO> personneltag(@Param("userId") String userId,@Param("identity") String identity);
		
}